#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( integrator )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/widgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### other data ################################

tde_install_icons( )
install( FILES kdevcvsservice.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdev_cvs.png DESTINATION ${DATA_INSTALL_DIR}/kdevcvsservice/pics )
install( FILES buildcvs.sh DESTINATION ${DATA_INSTALL_DIR}/kdevcvsservice )


##### libkdevcvsservice (module) ################

tde_add_kpart( libkdevcvsservice AUTOMOC
  SOURCES
    cvspart.cpp cvspartimpl.cpp cvsformbase.ui cvsform.cpp
    commitdialogbase.ui commitdlg.cpp cvsoptionswidgetbase.ui
    cvsoptionswidget.cpp cvsprocesswidget.cpp
    cvsentry.cpp cvsdir.cpp changelog.cpp cvsoptions.cpp
    checkoutdialogbase.ui checkoutdialog.cpp tagdialog.cpp
    tagdialogbase.ui diffdialogbase.ui diffdialog.cpp
    releaseinputdialogbase.ui releaseinputdialog.cpp
    cvslogdialog.cpp cvslogpage.cpp cvsdiffpage.cpp
    diffwidget.cpp jobscheduler.cpp bufferedstringreader.cpp
    cvsfileinfoprovider.cpp cvsservicedcopIface.skel
    editorsdialogbase.ui editorsdialog.cpp annotatedialog.cpp
    annotatepage.cpp annotateview.cpp
  LINK
    kdevextensions-static kdevwidgets-shared tdevelop-shared
    cvsservice tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
